Bug 19932 - Update popup window templates to use Bootstrap grid: Cataloging Z39.50 search
Summary: Update popup window templates to use Bootstrap grid: Cataloging Z39.50 search
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 14546 19931 19939
  Show dependency treegraph
 
Reported: 2018-01-09 13:42 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19932: Update popup window templates to use Bootstrap grid: Cataloging Z39.50 search (5.86 KB, patch)
2018-01-09 13:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19932: Update popup window templates to use Bootstrap grid: Cataloging Z39.50 search (5.91 KB, patch)
2018-01-18 20:52 UTC, Zoe Bennett
Details | Diff | Splinter Review
Bug 19932: (Follow-up) Add fixed footer to cataloging Z39.50 popup (2.07 KB, patch)
2018-02-07 14:28 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 19932: Update popup window templates to use Bootstrap grid: Cataloging Z39.50 search (5.98 KB, patch)
2018-02-08 09:55 UTC, Claire Gravely
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 19932: (Follow-up) Add fixed footer to cataloging Z39.50 popup (2.14 KB, patch)
2018-02-08 09:55 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19932: Update popup window templates to use Bootstrap grid: Cataloging Z39.50 search (6.09 KB, patch)
2018-02-16 06:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19932: (follow-up) Add fixed footer to cataloging Z39.50 popup (2.24 KB, patch)
2018-02-16 06:51 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-09 13:42:32 UTC
This bug falls under the omnibus Bug 19931, "Update popup window templates to use Bootstrap grid." Updated in this patch will be z3950_search.tt, the template for Z39.50 searches from the cataloging interface.
Comment 1 Owen Leonard 2018-01-09 13:55:14 UTC Comment hidden (obsolete)
Comment 2 Zoe Bennett 2018-01-18 20:52:21 UTC
Created attachment 70713 [details] [review]
Bug 19932: Update popup window templates to use Bootstrap grid: Cataloging Z39.50 search

This patch updates the cataloging Z39.50 search template to use the
Bootstrap grid instead of the YUI grid.

Also fixed: Several un-quoted HTML attributes have been corrected.

To test, apply the patch and go to Cataloging -> New from Z39.50/SRU.
In the popup window, both the search form and search results pages
should look correct.

Signed-off-by: Zoe Bennett <zoebennett1308@gmail.com>
Comment 3 Katrin Fischer 2018-02-04 15:54:01 UTC
With the patch the save/cancel options are outside of the visible area. (Firefox  Quantum 58 on Ubuntu). Without the patch it's ok. Could you take another look?

Everything else seems to work perfectly.
Comment 4 Owen Leonard 2018-02-07 14:28:51 UTC
Created attachment 71284 [details] [review]
Bug 19932: (Follow-up) Add fixed footer to cataloging Z39.50 popup

This patch adds additional Bootstrap framework markup to the search form
so that the "Save" and "Cancel" controls are in a fixed footer at the
bottom of the window. This prevents the controls from disappearing down
off screen.

To test, apply the patch and go to Cataloging -> New from Z39.50/SRU.
In the popup window, both the search form and search results pages
should look correct.
Comment 5 Claire Gravely 2018-02-08 09:55:12 UTC
Created attachment 71334 [details] [review]
[SIGNED-OFF] Bug 19932: Update popup window templates to use Bootstrap grid: Cataloging Z39.50 search

This patch updates the cataloging Z39.50 search template to use the
Bootstrap grid instead of the YUI grid.

Also fixed: Several un-quoted HTML attributes have been corrected.

To test, apply the patch and go to Cataloging -> New from Z39.50/SRU.
In the popup window, both the search form and search results pages
should look correct.

Signed-off-by: Zoe Bennett <zoebennett1308@gmail.com>

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 6 Claire Gravely 2018-02-08 09:55:15 UTC
Created attachment 71335 [details] [review]
[SIGNED-OFF] Bug 19932: (Follow-up) Add fixed footer to cataloging Z39.50 popup

This patch adds additional Bootstrap framework markup to the search form
so that the "Save" and "Cancel" controls are in a fixed footer at the
bottom of the window. This prevents the controls from disappearing down
off screen.

To test, apply the patch and go to Cataloging -> New from Z39.50/SRU.
In the popup window, both the search form and search results pages
should look correct.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 7 Katrin Fischer 2018-02-16 06:51:08 UTC
Created attachment 71700 [details] [review]
Bug 19932: Update popup window templates to use Bootstrap grid: Cataloging Z39.50 search

This patch updates the cataloging Z39.50 search template to use the
Bootstrap grid instead of the YUI grid.

Also fixed: Several un-quoted HTML attributes have been corrected.

To test, apply the patch and go to Cataloging -> New from Z39.50/SRU.
In the popup window, both the search form and search results pages
should look correct.

Signed-off-by: Zoe Bennett <zoebennett1308@gmail.com>

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2018-02-16 06:51:12 UTC
Created attachment 71701 [details] [review]
Bug 19932: (follow-up) Add fixed footer to cataloging Z39.50 popup

This patch adds additional Bootstrap framework markup to the search form
so that the "Save" and "Cancel" controls are in a fixed footer at the
bottom of the window. This prevents the controls from disappearing down
off screen.

To test, apply the patch and go to Cataloging -> New from Z39.50/SRU.
In the popup window, both the search form and search results pages
should look correct.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Jonathan Druart 2018-02-16 17:06:48 UTC
Pushed to master for 18.05, thanks to everybody involved!